package com.jiuqi.dna.ide.designer.workflow;

import com.jiuqi.dna.ide.designer.actions.ActionConstants;
import org.eclipse.gef.ContextMenuProvider;
import org.eclipse.gef.EditPartViewer;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.action.IMenuManager;

/* loaded from: com_jiuqi_dna_ide_designer_workflow.jar:com/jiuqi/dna/ide/designer/workflow/WorkflowDesignerContextMenuProvider.class */
class WorkflowDesignerContextMenuProvider extends ContextMenuProvider {
    private WorkflowDesigner designer;

    public WorkflowDesignerContextMenuProvider(EditPartViewer viewer, WorkflowDesigner designer) {
        super(viewer);
        this.designer = designer;
    }

    public void buildContextMenu(IMenuManager menu) {
        ActionConstants.addStandardActionGroups(menu);
        for (String groupName : ActionConstants.Groups) {
            IAction[] group = this.designer.getMenuGroup(groupName);
            if (group != null) {
                for (IAction action : group) {
                    menu.appendToGroup(groupName, action);
                }
            }
        }
    }
}
